Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.sd
Interface SdModel

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IAgentChild, IModelExtension, org.eclipse.emf.common.notify.Notifier, SdGeneratable, SdNamedElement

All Known Implementing Classes:
  SdModelImpl, SdModelImplGeneratedNot

    public interface SdModel

extends SdGeneratable, IAgentChild

A representation of the model object 'Model'.

The following features are supported:

- `Abstract Variables`

See Also:
  `SdPackage.getSdModel()`

Method Summary
`org.eclipse.emf.common.util.EList<SdAbstractVariable>` | `getAbstractVariables()` Returns the value of the 'Abstract Variables' containment reference list.

Methods inherited from interface org.eclipse.amp.amf.sd.SdNamedElement
`getComment, getName, setComment, setName`

Methods inherited from interface org.metaabm.IAgentChild
`getParent, setParent`

Methods inherited from interface org.metaabm.IModelExtension
`getName, getPackage`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAbstractVariables

    org.eclipse.emf.common.util.EList<SdAbstractVariable> getAbstractVariables()

  Returns the value of the 'Abstract Variables' containment reference list. The list contents are of type `SdAbstractVariable`. It is bidirectional and its opposite is '`Parent`'.

  If the meaning of the 'Abstract Variables' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Abstract Variables' containment reference list.
  See Also:
    `SdPackage.getSdModel_AbstractVariables()`, `SdAbstractVariable.getParent()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD